<<

# Bugzilla::Status

- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS

# NAME

Bugzilla::Status - Bug status class.

# SYNOPSIS

        use Bugzilla::Status;

        my $bug_status = new Bugzilla::Status({name => 'ASSIGNED'});
        my $bug_status = new Bugzilla::Status(4);

        my @closed_bug_statuses = closed_bug_statuses();

        Bugzilla::Status::add_missing_bug_status_transitions($bug_status);

# DESCRIPTION

Status.pm represents a bug status object. It is an implementation of Bugzilla::Object, and thus provides all methods that Bugzilla::Object provides.

The methods that are specific to `Bugzilla::Status` are listed below.

# METHODS

`closed_bug_statuses`

       Description: Returns a list of C<Bugzilla::Status> objects which can have
                    a resolution associated with them ("closed" bug statuses).

       Params:      none.

       Returns:     A list of Bugzilla::Status objects.

`can_change_to`

       Description: Returns the list of active statuses a bug can be changed to
                    given the current bug status. If this method is called as a
                    class method, then it returns all bug statuses available on
                    bug creation.

       Params:      none.

       Returns:     A list of Bugzilla::Status objects.

`comment_required_on_change_from`
  Description

    Checks if a comment is required to change to this status from another status, according to the current settings in the workflow.

    Note that this doesn't implement the checks enforced by the various `commenton` parameters--those are checked by internal checks in Bugzilla::Bug.

  Params

    `$old_status` - The status you're changing from.

  Returns

    `1` if a comment is required on this change, `0` if not.

`add_missing_bug_status_transitions`

       Description: Insert all missing transitions to a given bug status.

       Params:      $bug_status - The value (name) of a bug status.

       Returns:     nothing.

<<